<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
  <head>
    <title>OES User Rights Map</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="resources/login.css" rel="stylesheet">
    <link rel="shortcut icon" href="resources/images/favicon.ico">
    <script src="resources/static/js/polyfill.min.js"></script>
  </head>
  <body>
    <div class="container">
        <div class="logincontainer" >
          <h class="loginTitle">USER RIGHTS MAP</h>
            <form role="form" action="/storm/j_spring_security_check" method="post">
                <div class="form_group">
          <!-- <label style="font-size: 14px">User Name</label> -->
                  <input 
                    class="loginField userName" 
                    id="j_username" 
                    name="j_username" 
                    type="text"
                    maxlength="256" 
                    autofocus required 
                    autocomplete="off"
                    placeholder="Username"
                  >
                </div>
                <div class="form_group">
          <!-- <label style="font-size: 14px">Password</label> -->
                  <input 
                    class="loginField password" 
                    id="j_password" 
                    name="j_password" 
                    type="password"
                    autocomplete="off" 
                    maxlength="256" 
                    required
                    placeholder="Password"
                  >
                </div>
                <div>
                  <button
                    type="submit"
                    class="loginButton"
                  >Login</button>
                </div>
                <input
                  type="hidden"
                  name="${_csrf.parameterName}"
                  value="${_csrf.token}"
                />
            </form>
          </div>
           <c:if
              test="${sessionScope[\"SPRING_SECURITY_LAST_EXCEPTION\"].message != NULL}">
              <input type="hidden"
                name="login_fail"
                value='<c:out value="${SPRING_SECURITY_LAST_EXCEPTION.message}" />'
              />
              <div class="failedLogin icon icon-failure"></div>
            </c:if>
            <%
              request.getSession().removeAttribute("SPRING_SECURITY_LAST_EXCEPTION");
            %>
    </div>
    <script src="resources/static/js/axios.min.js"></script>
    <script src="resources/Login.js"></script>
  </body>
</html>
